List AI Inbox Managers
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a04400-572e-7c71-b21e-f2e0804b2f8a",
"organization_id": "01a04400-572e-7c71-b21e-f2e195ef18d3",
"name": "Test AI Agent",
"payload": {
"configuration_type": 1,
"tags": [
"default"
],
"handle_followup": true,
"respond_to_automatic_emails": true,
"handle_objections": true,
"integrations": {
"slack": {
"connectionId": "01a04400-572d-70af-a441-33c32535ce92",
"connectionName": "My Connection"
}
},
"no_show": {
"enabled": true,
"max_followups": 3
},
"trigger_on_labels_enabled": false,
"trigger_on_labels": [
1,
-1
],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": true
},
"timestamp_created": "2026-08-27T16:14:28.142Z",
"timestamp_updated": "2026-08-27T16:14:28.142Z",
"status": 1,
"type": 1,
"is_auto_created": false,
"created_by": "01a04400-572e-7c71-b21e-f2e21634acef",
"description": "Optional agent description",
"metadata": {
"tags": {
"tag-id": {
"id": "tag-id",
"label": "Tag Label"
}
}
}
}
],
"next_starting_after": "01a04400-ae87-7da6-b2f9-d51bd0eb2409"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
List AI Inbox Managers
List the AI Inbox Managers of the workspace, newest first.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
inbox-manager
List AI Inbox Managers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01a04400-ae87-7da6-b2f9-d51a752bcd9f"
Filter by agent status.
Available options:
0, 1 Example:
1
Filter agents whose name contains this text (case-insensitive).
Example:
"Support inbox"
⌘I